osl::eval::ml::RookPawn< Opening > Class Template Reference

`#include <majorPiece.h>`

## Public Types

enum | { DIM = 1 }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static int | eval (const NumEffectState &state)

## Static Private Attributes

static int | weight

## Detailed Description

template<bool Opening>
class osl::eval::ml::RookPawn< Opening >

Definition at line 65 of file majorPiece.h.

## Member Enumeration Documentation

## anonymous enum

template<bool Opening>

anonymous enum

Enumerator
DIM |

Definition at line 68 of file majorPiece.h.

## Member Function Documentation

## eval()

template<bool Opening>

int osl::eval::ml::RookPawn< Opening >::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 32 of file majorPiece.cc.

References osl::BLACK, osl::Square::canPromote(), osl::Piece::isOnBoard(), osl::SimpleState::isPawnMaskSet(), osl::Piece::owner(), osl::SimpleState::pieceOf(), osl::Piece::square(), weight, and osl::Square::x().

## setUp()

template<bool Opening>

void osl::eval::ml::RookPawn< Opening >::setUp | ( | const Weights & | weights | ) |

static

Definition at line 26 of file majorPiece.cc.

References osl::eval::ml::Weights::value(), and weight.

## Member Data Documentation

## weight

template<bool Opening>

int osl::eval::ml::RookPawn< Opening >::weight

static private

Definition at line 72 of file majorPiece.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc